Index: sys/compat/linux32/arch/amd64/syscalls.conf
===================================================================
RCS file: /cvsroot/src/sys/compat/linux32/arch/amd64/syscalls.conf,v
retrieving revision 1.1
diff -u -r1.1 syscalls.conf
--- sys/compat/linux32/arch/amd64/syscalls.conf	9 Feb 2006 19:18:57 -0000	1.1
+++ sys/compat/linux32/arch/amd64/syscalls.conf	24 Jun 2013 19:14:24 -0000
@@ -4,6 +4,7 @@
 sysnumhdr="linux32_syscall.h"
 syssw="linux32_sysent.c"
 sysarghdr="linux32_syscallargs.h"
+systrace="linux32_systrace_args.c"
 compatopts=""
 libcompatopts=""
 
Index: sys/compat/netbsd32/netbsd32_sysent.c
===================================================================
RCS file: /cvsroot/src/sys/compat/netbsd32/netbsd32_sysent.c,v
retrieving revision 1.104
diff -u -r1.104 netbsd32_sysent.c
--- sys/compat/netbsd32/netbsd32_sysent.c	29 Mar 2013 01:14:10 -0000	1.104
+++ sys/compat/netbsd32/netbsd32_sysent.c	24 Jun 2013 19:14:24 -0000
@@ -1,4 +1,4 @@
-/* $NetBSD: netbsd32_sysent.c,v 1.104 2013/03/29 01:14:10 christos Exp $ */
+/* $NetBSD$ */
 
 /*
  * System call switch table.
@@ -8,7 +8,7 @@
  */
 
 #include <sys/cdefs.h>
-__KERNEL_RCSID(0, "$NetBSD: netbsd32_sysent.c,v 1.104 2013/03/29 01:14:10 christos Exp $");
+__KERNEL_RCSID(0, "$NetBSD$");
 
 #if defined(_KERNEL_OPT)
 #include "opt_compat_netbsd.h"
Index: sys/compat/netbsd32/syscalls.conf
===================================================================
RCS file: /cvsroot/src/sys/compat/netbsd32/syscalls.conf,v
retrieving revision 1.12
diff -u -r1.12 syscalls.conf
--- sys/compat/netbsd32/syscalls.conf	29 Mar 2013 01:04:30 -0000	1.12
+++ sys/compat/netbsd32/syscalls.conf	24 Jun 2013 19:14:24 -0000
@@ -4,6 +4,7 @@
 sysnumhdr="netbsd32_syscall.h"
 syssw="netbsd32_sysent.c"
 sysarghdr="netbsd32_syscallargs.h"
+systrace="netbsd32_systrace_args.c"
 compatopts="compat_43 compat_09 compat_10 compat_11 compat_12 compat_13 compat_14 compat_15 compat_16 compat_20 compat_30 compat_40 compat_50 compat_60"
 libcompatopts=""
 
Index: sys/conf/files
===================================================================
RCS file: /cvsroot/src/sys/conf/files,v
retrieving revision 1.1073
diff -u -r1.1073 files
--- sys/conf/files	10 Jun 2013 20:28:36 -0000	1.1073
+++ sys/conf/files	24 Jun 2013 19:14:24 -0000
@@ -1603,7 +1603,7 @@
 file	kern/sys_sig.c
 file	kern/sys_sched.c
 file	kern/sys_socket.c
-file	kern/syscalls.c			syscall_debug
+file	kern/syscalls.c			syscall_debug | kdtrace_hooks
 file	kern/sysv_ipc.c			sysvshm | sysvsem | sysvmsg
 file	kern/sysv_msg.c			sysvmsg
 file	kern/sysv_sem.c			sysvsem
Index: sys/kern/init_sysent.c
===================================================================
RCS file: /cvsroot/src/sys/kern/init_sysent.c,v
retrieving revision 1.271
diff -u -r1.271 init_sysent.c
--- sys/kern/init_sysent.c	29 Mar 2013 01:10:13 -0000	1.271
+++ sys/kern/init_sysent.c	24 Jun 2013 19:14:24 -0000
@@ -1,4 +1,4 @@
-/* $NetBSD: init_sysent.c,v 1.271 2013/03/29 01:10:13 christos Exp $ */
+/* $NetBSD$ */
 
 /*
  * System call switch table.
@@ -8,7 +8,7 @@
  */
 
 #include <sys/cdefs.h>
-__KERNEL_RCSID(0, "$NetBSD: init_sysent.c,v 1.271 2013/03/29 01:10:13 christos Exp $");
+__KERNEL_RCSID(0, "$NetBSD$");
 
 #include "opt_modular.h"
 #include "opt_ntp.h"
